with Ada.Text_IO;    use Ada.Text_IO;
with Bulletin_Board; use Bulletin_Board;
with PolyORB.Parameters;
procedure Display_Messages is
begin
   Put_Line ("ServerP started, embedded name server is at:");
   Put_Line (PolyORB.Parameters.Get_Conf ("dsa", "name_service", ""));

   loop
      Put_Line ("----- all messages -----");
      declare
         Contents : constant News_Items := Whats_Up;
      begin
         for J in Contents'Range loop
            Put_Line (Contents (J).Author & " says:");
            Put_Line (Contents (J).Message);
            New_Line;
         end loop;
         delay 2.0;
      end;
   end loop;
end Display_Messages;
